#!/usr/bin/env python3

import re
import sys

INT = re.compile(r"^\d+$")
STR = re.compile(r"^(['\"])[^'\"]*\1$")
FLOAT = re.compile(r"^(\d+|\d+\.\d+|10e\d+|[-+]inf)$")

def main(arg):
    if INT.search(arg):
        print("{} is an integer".format(arg))
    elif STR.search(arg):
        print("{} is a string".format(arg))
    elif FLOAT.search(arg):
        print("{} is a floating point number".format(arg))
    else:
        print("{} is an unknown type".format(arg))

if __name__ == '__main__':
    main(sys.argv[1])